
package de.ivu.elect.presentation.stimmeingabe.action;

import javax.inject.Inject;

import de.ivu.elect.business.stimmeingabe.boundary.ErgebniseingangExtendedDAO;
import de.ivu.elect.business.stimmeingabe.entity.Ergebniseingang;
import de.ivu.elect.presentation.menu.AbstractActionEntry;
import de.ivu.elect.presentation.security.AbstractGebietSecurity;

public abstract class AbstractErgebniseingangAction extends AbstractActionEntry<Ergebniseingang> {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient ErgebniseingangExtendedDAO ergebniseingangExtendedDAO;

  public AbstractErgebniseingangAction() {
    super();
  }

  @Override
  protected AbstractGebietSecurity getGebietSecurity() {
    return getEinsehenGebietSecurity();
  }

  @Override
  protected boolean isFireChangeEvent() {
    return false;
  }

  @Override
  protected void fireChangeEvent() {
    // nichts zu tun
  }

  @Override
  protected Ergebniseingang attach(Ergebniseingang ergebniseingang) {
    return ergebniseingangExtendedDAO.attach(ergebniseingang);
  }
}
